summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgfmt-16
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgfmt-16
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgfmt-16')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgfmt-1618
1 files changed, 3 insertions, 15 deletions
diff --git a/gettext-tools/tests/msgfmt-16 b/gettext-tools/tests/msgfmt-16
index deccad5..f2641f5 100755..100644
--- a/gettext-tools/tests/msgfmt-16
+++ b/gettext-tools/tests/msgfmt-16
@@ -3,10 +3,6 @@
# Test msgfmt on a PO file with previous msgids.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mf-16.po"
cat <<\EOF > mf-16.po
msgid ""
msgstr ""
@@ -45,19 +41,13 @@ msgstr "Argumente fehlen."
#~ msgstr "%s: ungültige Option -- %c\n"
EOF
-tmpfiles="$tmpfiles mf-16.mo"
: ${MSGFMT=msgfmt}
-${MSGFMT} -o mf-16.mo mf-16.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGFMT} -o mf-16.mo mf-16.po || exit 1
-tmpfiles="$tmpfiles mf-16.tmp mf-16.out"
: ${MSGUNFMT=msgunfmt}
-${MSGUNFMT} -o mf-16.tmp mf-16.mo
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mf-16.tmp > mf-16.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGUNFMT} -o mf-16.tmp mf-16.mo || exit 1
+LC_ALL=C tr -d '\r' < mf-16.tmp > mf-16.out || exit 1
-tmpfiles="$tmpfiles mf-16.ok"
cat <<\EOF > mf-16.ok
msgid ""
msgstr ""
@@ -73,6 +63,4 @@ EOF
${DIFF} mf-16.ok mf-16.out
result=$?
-rm -fr $tmpfiles
-
exit $result